Skip to main content
Pages

Create a page

POST
/pages/create
x-api-keystringheaderrequired

Your Siteglide API key

x-site-idstringheaderrequired

The ID of the Siteglide site you are working with (not an API key — just the numeric site ID)

Body

application/json
contentstring

Page content (Liquid)

formatstring

Content format. Defaults to 'json'.

Example: html
layoutstring

Layout template name

Example: application
metadataobjectrequired
physical_file_pathstringrequired

Unique identifier for the page file. Must match pattern [a-zA-Z0-9-_/.]+, start with views/pages/ or modules/, and end with .liquid.

Example: views/pages/my-page.liquid
redirect_codestring

HTTP redirect status code

Example: 301
redirect_tostring

URL to redirect to

Example: /other-page
request_methodstring

HTTP method override

Example: GET
response_headersobject

Custom response headers as key-value pairs

searchableboolean

Whether the page is searchable. Defaults to true.

Example: true
slugstring

URL slug for the page. Derived from physical_file_path if not provided. Must be unique.

Example: my-page

OK